User:Archimedes

From Openmoko

(Difference between revisions)
Jump to: navigation, search
(linphone)
Line 1: Line 1:
 
===linphone===
 
===linphone===
I have build linphone and dependencies (libosip2, libexosip2) for the freerunner.<br>
+
I have build linphone and dependencies (libosip2, libexosip2, speex) for the freerunner.<br>
 
You can get my packages here:<br>
 
You can get my packages here:<br>
 
http://freerunner.archimedes.mobi/builds/
 
http://freerunner.archimedes.mobi/builds/
  
Installorder: libosip2, libexosip2, speex, linphone.
+
Installorder: libosip2, libexosip2, speex, linphone (you need angstrom (quite sure) and celtune (maybe) as additional repositories. Look at [[Distributions]] on how to set them up).
  
 
I had to recompile speex because linphone did not compile with the angstrom version (speex_1.1.12+1.2beta1-r1_armv4t), but maybe you only have to setup a softlink for it to work (start linphone by shell, like ''DISPLAY=:0 linphone'').
 
I had to recompile speex because linphone did not compile with the angstrom version (speex_1.1.12+1.2beta1-r1_armv4t), but maybe you only have to setup a softlink for it to work (start linphone by shell, like ''DISPLAY=:0 linphone'').

Revision as of 03:00, 16 August 2008

linphone

I have build linphone and dependencies (libosip2, libexosip2, speex) for the freerunner.
You can get my packages here:
http://freerunner.archimedes.mobi/builds/

Installorder: libosip2, libexosip2, speex, linphone (you need angstrom (quite sure) and celtune (maybe) as additional repositories. Look at Distributions on how to set them up).

I had to recompile speex because linphone did not compile with the angstrom version (speex_1.1.12+1.2beta1-r1_armv4t), but maybe you only have to setup a softlink for it to work (start linphone by shell, like DISPLAY=:0 linphone).

This is my first build for OpenMoko, even my first crosscompilation ever. Have Fun.

(btw: I hope it works - I just started it and it looks fine :-D)

One quite important consideration: I think you have to load the correct alsastate (/usr/share/openmoko/scenarios/gsm*)

Personal tools

linphone

I have build linphone and dependencies (libosip2, libexosip2, speex) for the freerunner.
You can get my packages here:
http://freerunner.archimedes.mobi/builds/

Installorder: libosip2, libexosip2, speex, linphone (you need angstrom (quite sure) and celtune (maybe) as additional repositories. Look at Distributions on how to set them up).

I had to recompile speex because linphone did not compile with the angstrom version (speex_1.1.12+1.2beta1-r1_armv4t), but maybe you only have to setup a softlink for it to work (start linphone by shell, like DISPLAY=:0 linphone).

This is my first build for OpenMoko, even my first crosscompilation ever. Have Fun.

(btw: I hope it works - I just started it and it looks fine :-D)

One quite important consideration: I think you have to load the correct alsastate (/usr/share/openmoko/scenarios/gsm*)